Package org.springframework.http.codec.cbor

# Class Jackson2CborDecoder

java.lang.Object
org.springframework.http.codec.json.Jackson2CodecSupport
org.springframework.http.codec.json.AbstractJackson2Decoder
org.springframework.http.codec.cbor.Jackson2CborDecoder

All Implemented Interfaces:
  `org.springframework.core.codec.Decoder<Object>`, `HttpMessageDecoder<Object>`

public class Jackson2CborDecoder extends AbstractJackson2Decoder
Decode bytes into CBOR and convert to Object's with Jackson. Stream decoding is not supported yet.

Since:
  5.2
Author:
  Sebastien Deleuze
See Also:
  - `Jackson2CborEncoder`
  - Add CBOR support to WebFlux

## Field Summary

### Fields inherited from class org.springframework.http.codec.json.Jackson2CodecSupport

`JSON_VIEW_HINT, logger`

## Constructor Summary

Constructors
Constructor
Description
`Jackson2CborDecoder()`
`Jackson2CborDecoder(ObjectMapper mapper, org.springframework.util.MimeType... mimeTypes)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<Object>`
`decode(Publisher<org.springframework.core.io.buffer.DataBuffer> input, org.springframework.core.ResolvableType elementType, org.springframework.util.MimeType mimeType, Map<String,Object> hints)`

### Methods inherited from class org.springframework.http.codec.json.AbstractJackson2Decoder

`canDecode, customizeReader, decode, decodeToMono, getAnnotation, getDecodableMimeTypes, getDecodableMimeTypes, getDecodeHints, getMaxInMemorySize, processInput, setMaxInMemorySize`

### Methods inherited from class org.springframework.http.codec.json.Jackson2CodecSupport

`getHints, getJavaType, getMediaTypesForProblemDetail, getMimeTypes, getMimeTypes, getObjectMapper, getObjectMapperRegistrations, getObjectMappersForType, getParameter, logWarningIfNecessary, registerObjectMappersForType, selectObjectMapper, setObjectMapper, supportsMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jackson2CborDecoder

public Jackson2CborDecoder()

### Jackson2CborDecoder

public Jackson2CborDecoder(ObjectMapper mapper, org.springframework.util.MimeType... mimeTypes)

## Method Details

### decode

public reactor.core.publisher.Flux<Object> decode(Publisher<org.springframework.core.io.buffer.DataBuffer> input, org.springframework.core.ResolvableType elementType, @Nullable org.springframework.util.MimeType mimeType, @Nullable Map<String,Object> hints)

Specified by:
  `decode` in interface `org.springframework.core.codec.Decoder<Object>`
Overrides:
  `decode` in class `AbstractJackson2Decoder`